%global fontname droid-sans-mono-slashed
%global fontconf 61-%{fontname}.conf

# sha256sum 71768814dc4de0ea6248d09a2d2285bd47e9558f82945562eb78487c71348107

Name:           google-droid-sans-mono-slashed-fonts
Version:        1.00
Release:        1%{?dist}
Summary:        A humanist monospace sans serif typeface (slashed version)

License:        MIT
URL:            http://blog.cosmix.org/2009/10/27/a-slashed-zero-droid-sans-mono
Source0:        http://www.cosmix.org/software/files/DroidSansMonoSlashed.zip#/%{fontname}-%{version}.zip
Source1:        %{name}-fontconfig.conf
Source2:        %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
The Droid typeface family was designed in the fall of 2006 by Ascender's
Steve Matteson, as a commission from Google to create a set of system fonts
for its Android platform. The goal was to provide optimal quality and comfort
on a mobile handset when rendered in application menus, web browsers and for
other screen text.
The family was later extended in collaboration with other designers such as
Pascal Zoghbi of 29ArabicLetters.
Droid Sans Mono Slashed is a humanist monospace sans serif typeface designed
for user interfaces and electronic communication.


%prep
%setup -q -c -n %{fontname}-%{version}


%build


%install
rm -fr %{buildroot}

install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE2} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml


%clean
rm -fr %{buildroot}


%_font_pkg -f %{fontconf} *.ttf
%{_datadir}/appdata/%{fontname}.metainfo.xml


%changelog
* Sat Jan 14 2017 Dylan Smith <dyskette@gmail.com> - 1.00-1
- First package
